(function waitForWooBlocks() {
    if (
        window.wc &&
        window.wc.blocksCheckout &&
        typeof window.wc.blocksCheckout.registerCartItemComponent === 'function'
    ) {
        window.wc.blocksCheckout.registerCartItemComponent({
            component: ({ cartItem }) => {
                const notation = cartItem.extensions?.mm_notations;
                if (!notation) return null;

                const div = document.createElement('div');
                div.textContent = notation;
                return div;
            },
            location: 'beforeName',
            priority: 10,
        });
    } else {
        // Retry after a short delay
        setTimeout(waitForWooBlocks, 50);
    }
})();
